import React from 'react';
import styled from 'styled-components';

export const ButtonMarque = (props) => {
  return (
    <Button onClick={props.onClick} style={props.style}>
      <SVGMarque width={props.width} height={props.height} style={props.style}/>
      {props.children}      
    </Button>
    );  
};

const SVGMarque = (props) => (
  <SVG viewBox="0 0 105.82 1.0643" style={props.style} width={props.width? props.width : "400"} height={props.height? props.height : "4"} xmlns="http://www.w3.org/2000/svg">
    <path className="linha" d="m0.024935 0.81256c0.17365-0.027902 0.34435-0.064673 0.52094-0.083675 0.12849-0.013807 0.26061-3.6523e-4 0.39092-5.4918e-4 0.30405-4.2841e-4 0.6081-8.5682e-4 0.91215-0.001291 0.11746-1.639e-4 0.56946-0.018187 0.65154-9.1462e-4 0.092212 0.019419 0.16869 0.063153 0.2609 0.082572 0.15291 0.032202 0.37757-0.046198 0.52123-7.3057e-4 0.038885 0.012297-0.030504 0.063432 2.91e-4 0.08294 0.030804 0.019518 0.086862-1.2119e-4 0.1303-1.8277e-4 0.043436-6.058e-5 0.086861-1.2217e-4 0.13031-1.8276e-4 0.26062-3.6791e-4 0.52123-7.3325e-4 0.78185-0.001093 0.95559-0.001291 1.9112-0.002583 2.8668-0.004073 0.30405-4.2841e-4 0.6081-8.5413e-4 0.91216-0.001291 0.21718-3.0494e-4 0.43574 0.014641 0.65154-9.172e-4 0.45445-0.032788 0.86451-0.18034 1.3022-0.25064 0.04212-0.006854 0.08913 0.008542 0.13031-1.8277e-4 0.09206-0.019697 0.16826-0.06363 0.26033-0.083297 0.07345-0.015694 0.3053-4.284e-4 0.39092-5.4929e-4 0.30406-4.2839e-4 0.6081-8.5412e-4 0.91216-0.001291 0.82528-0.001093 1.6506-0.002285 2.4759-0.003576 1.0859-0.00149 2.1718-0.003079 3.2577-0.004569 0.43436-6.0978e-4 0.86872-0.001192 1.3031-0.001788 0.07281-1.0231e-4 0.57459-0.017124 0.65154-9.1462e-4 0.09222 0.019419 0.16663 0.067713 0.2609 0.082562 0.10602 0.016717 0.64544-9.0668e-4 0.78185-0.001093 0.56467-7.9364e-4 1.1293-0.001589 1.694-0.002285 1.694-0.002285 3.388-0.004768 5.082-0.007053 0.78185-0.001093 1.5637-0.002185 2.3455-0.003377 0.30405-4.2831e-4 0.6081-8.5413e-4 0.91216-0.001291 0.08686-1.2218e-4 0.17539-0.011105 0.26062-3.6791e-4 0.13476 0.016965 0.25646 0.065438 0.39121 0.082383 0.08523 0.010728 0.17374-2.4336e-4 0.26062-3.6533e-4 0.30405-4.283e-4 0.6081-8.5413e-4 0.91216-0.001291 0.78185-0.001093 1.5637-0.002185 2.3455-0.003377 2.3021-0.003278 4.6042-0.006457 6.9063-0.009734 7.7316-0.010857 15.463-0.021723 23.195-0.03259 0.91216-0.001291 1.8243-0.002483 2.7365-0.003874 0.21718-3.0484e-4 0.43436-6.0968e-4 0.65154-9.1452e-4 0.04341-6.059e-5 0.09971 0.019409 0.13031-1.8277e-4 0.0306-0.019598-0.0309-0.063342-2.62e-4 -0.08293 0.0307-0.019608 0.08681-1.2117e-4 0.13031-1.8276e-4 0.08681-1.2217e-4 0.17375-2.4335e-4 0.26062-3.6533e-4 0.39092-5.4929e-4 0.78185-0.001093 1.1728-0.001589 0.78184-0.001093 1.5637-0.002185 2.3455-0.003377 0.21718-3.0484e-4 0.43436-6.0968e-4 0.65154-9.1462e-4 0.13031-1.8267e-4 0.26244 0.01326 0.39092-5.4919e-4 0.13544-0.014552 0.25745-0.06209 0.39064-0.083486 0.16289-0.026163 0.3618 0.033335 0.52123-7.3326e-4 0.05821-0.012436 0.07511-0.065567 0.13004-0.083108 0.0396-0.012664 0.33223-4.6784e-4 0.39092-5.4929e-4 0.39091-5.4929e-4 0.78184-0.001093 1.1728-0.001589 1.0859-0.00149 2.1718-0.003079 3.2577-0.004569 2.5627-0.003675 5.1254-0.007152 7.6882-0.010797 1.4768-0.002086 2.9536-0.004172 4.4305-0.006258 0.43437-6.0969e-4 0.86873-0.001192 1.3031-0.001788 0.09951-1.4105e-4 0.69981 0.016429 0.78185-0.001093 0.09211-0.019697 0.16615-0.06818 0.26032-0.083297 0.08421-0.013539 0.17374-2.4435e-4 0.26062-3.6533e-4 0.13031-1.8376e-4 0.26062-3.6524e-4 0.39092-5.4929e-4 0.34749-4.888e-4 0.69498-9.329e-4 1.0425-0.001391 1.39-0.001987 2.7799-0.003874 4.1699-0.005861 1.4334-0.001987 2.8668-0.004073 4.3002-0.006059 0.39092-5.5029e-4 0.78184-0.001093 1.1728-0.001589 0.031-4.371e-5 0.49206 0.008543 0.52122-7.3295e-4 0.0549-0.017542 0.075-0.065567 0.12996-0.083108 0.0388-0.012416 0.0869-1.2218e-4 0.13025-1.8277e-4 0.0435-6.159e-5 0.0869-1.2218e-4 0.13027-1.8276e-4" />
  </SVG>
);

// styled Button 
const Button = styled.button`
  display:flex;
  justify-content:flex-start;
  align-items:center;
  position:relative;  
  background-color:transparent;    
  font-size:1em;    
  font-family:'pacifico', 'east', 'nunito', Arial;
  color: ${props => props.style.color};  
  text-align:left;    
  width:95%;
  border:none;  

  &:active {outline: none;}
  &:focus {outline: none; border: none}
  
  &::after {
        content: "";
        position:absolute;
        width:100%;               
        left:0px;
        bottom:5px;
        border-bottom:solid 1px #D2D3D5;             
    } 
`

// Styled SVG
const SVG = styled.svg`
  position:absolute;  
  width: 100%; 

  & .linha {
    fill-opacity: 0;
    stroke: red;
    stroke-width: 0.3px;
    stroke-dasharray: 106.16819763183594;
    stroke-dashoffset: 106.16819763183594;
    animation: ${props => props.style.animation} 0.2s forwards linear;
  }
 
  @keyframes anima-riscar-ingredientes {
    0%    {stroke-dashoffset: 106.16819763183594}
    100%  {stroke-dashoffset: 0}
  }
`